Package net.sf.saxon.ma.arrays

## Class ArrayFunctionSet.ArrayFromSequence

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.FoldingFunction
      - - net.sf.saxon.ma.arrays.ArrayFunctionSet.ArrayFromSequence

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`
  Enclosing class:
    ArrayFunctionSet

      public static class ArrayFunctionSet.ArrayFromSequence
      extends FoldingFunction

  Implementation of the function array:_from-sequence(item()*) => array(*) which is used internally for the implementation of array{} and of the saxon:array extension

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayFromSequence()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ArrayItem` | `call​(XPathContext context, Sequence[] arguments)` | Evaluate the expression
    `Fold` | `getFold​(XPathContext context, Sequence... additionalArguments)` | Create the Fold object which is used to perform a streamed evaluation

    - ### Methods inherited from class net.sf.saxon.functions.FoldingFunction

      `getStreamerName`

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, exportAttributes, fixArguments, getArity, getCardinality, getCompilerName, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getIntegerBounds, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, importAttributes, isTrustedResultType, makeCall, makeFunction, makeFunctionCall, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, setRetainedStaticContext, supplyTypeInformation, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### ArrayFromSequence

          public ArrayFromSequence()

  - ### Method Detail

    - #### call

          public ArrayItem call​(XPathContext context,
                                Sequence[] arguments)
                         throws XPathException

      Description copied from class: `FoldingFunction`
      Evaluate the expression
      Specified by:
        `call` in interface `Callable`
      Specified by:
        `call` in interface `Function`
      Overrides:
        `call` in class `FoldingFunction`
      Parameters:
        `context` - the dynamic evaluation context
        `arguments` - the values of the arguments, supplied as Sequences
      Returns:
        the result of the evaluation, in the form of a Sequence
      Throws:
        `XPathException` - if a dynamic error occurs during the evaluation of the expression

    - #### getFold

          public Fold getFold​(XPathContext context,
                              Sequence... additionalArguments)

      Create the Fold object which is used to perform a streamed evaluation
      Specified by:
        `getFold` in class `FoldingFunction`
      Parameters:
        `context` - the dynamic evaluation context
        `additionalArguments` - the values of all arguments other than the first.
      Returns:
        the Fold object used to compute the function